<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_8cca4dd34e20c" . "5344bb2a30f253" . "3c4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "_baec81a782bb3d5381" . "49a9225688246e" => base64_decode("ZXZl" . "bnRf" . "c291" . "cmNl"), "use" . "r_i" . "d" => base64_decode("dXNlcl9pZA=" . "="), "_28c85ce81" . "fee6532980" . "262893b6f2" . "425" => base64_decode("dXN" . "lcm" . "5hb" . "WU="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8cca4dd34e20c5344bb2a30f253" . "3c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_28c85ce81fee6532" . "980262893b6f2425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_baec81a782bb3d538149a922568824" . "6e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}